Index: /palm/trunk/SOURCE/biometeorology_mod.f90
===================================================================
--- /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4539)
+++ /palm/trunk/SOURCE/biometeorology_mod.f90	(revision 4540)
@@ -655,6 +642,5 @@
                    DO  j = nys, nyn
                       DO  k = nzb, nzt+1
-                         pt_av(k,j,i) = pt_av(k,j,i) /                         &
-                            REAL( average_count_3d, KIND=wp )
+                         pt_av(k,j,i) = pt_av(k,j,i) /  REAL( average_count_3d, KIND = wp )
                       ENDDO
                    ENDDO
@@ -666,6 +652,5 @@
                    DO  j = nys, nyn
                       DO  k = nzb, nzt+1
-                         q_av(k,j,i) = q_av(k,j,i) /                           &
-                            REAL( average_count_3d, KIND=wp )
+                         q_av(k,j,i) = q_av(k,j,i) / REAL( average_count_3d, KIND = wp )
                       ENDDO
                    ENDDO
@@ -677,6 +662,5 @@
                    DO  j = nysg, nyng
                       DO  k = nzb, nzt+1
-                         u_av(k,j,i) = u_av(k,j,i) /                           &
-                            REAL( average_count_3d, KIND=wp )
+                         u_av(k,j,i) = u_av(k,j,i) / REAL( average_count_3d, KIND = wp )
                       ENDDO
                    ENDDO
@@ -688,6 +672,5 @@
                    DO  j = nysg, nyng
                       DO  k = nzb, nzt+1
-                         v_av(k,j,i) = v_av(k,j,i) /                           &
-                            REAL( average_count_3d, KIND=wp )
+                         v_av(k,j,i) = v_av(k,j,i) / REAL( average_count_3d, KIND = wp )
                       ENDDO
                    ENDDO
@@ -699,6 +682,5 @@
                    DO  j = nysg, nyng
                       DO  k = nzb, nzt+1
-                         w_av(k,j,i) = w_av(k,j,i) /                           &
-                            REAL( average_count_3d, KIND=wp )
+                         w_av(k,j,i) = w_av(k,j,i) / REAL( average_count_3d, KIND = wp )
                       ENDDO
                    ENDDO
@@ -707,12 +689,10 @@
 
              IF ( ALLOCATED( mrt_av_grid )  .AND.  do_average_mrt )  THEN
-                mrt_av_grid(:) = mrt_av_grid(:) / REAL( average_count_3d,      &
-                KIND=wp )
+                mrt_av_grid(:) = mrt_av_grid(:) / REAL( average_count_3d, KIND = wp )
              ENDIF
 
 !
-!--     No averaging for UVEM since we are calculating a dose (only sum is
-!--     calculated and saved to av.nc file)
-
+!--     No averaging for UVEM SINce we are calculating a dose (only sum is calculated and saved to
+!--     av.nc file)
         END SELECT
 
@@ -724,12 +704,12 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Check data output for biometeorology model
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_check_data_output( var, unit, i, j, ilen, k )
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY: data_output, message_string
 
@@ -747,8 +727,7 @@
 !
 !--    Allocate a temporary array with the desired output dimensions.
-!--    Arrays for time-averaged thermal indices are also allocated here because
-!--    they are not running through the standard averaging procedure in
-!--    bio_3d_data_averaging as the values of the averaged thermal indices are
-!--    derived in a single step based on priorly averaged arrays (see
+!--    Arrays for time-averaged thermal indices are also allocated here because they are not running
+!--    through the standard averaging procedure in bio_3d_data_averaging as the values of the
+!--    averaged thermal indices are derived in a SINgle step based on priorly averaged arrays (see
 !--    bio_calculate_thermal_index_maps).
        CASE ( 'bio_mrt', 'bio_mrt*' )
@@ -772,5 +751,5 @@
                 perct = REAL( bio_fill_value, KIND = wp )
              ENDIF
-          ELSE                              !< if averaged input
+          ELSE                               !< if averaged input
              do_calculate_perct_av = .TRUE.
              IF ( .NOT. ALLOCATED( perct_av ) )  THEN
@@ -816,12 +795,12 @@
 
        CASE ( 'uvem_vitd3*' )
-!           IF (  .NOT.  uv_exposure )  THEN
-!              message_string = 'output of "' // TRIM( var ) // '" requi' //     &
+!           IF ( .NOT. uv_exposure )  THEN
+!              message_string = 'output of "' // TRIM( var ) // '" requi' //                       &
 !                       'res a namelist &uvexposure_par'
 !              CALL message( 'uvem_check_data_output', 'UV0001', 1, 2, 0, 6, 0 )
 !           ENDIF
           IF ( k == 0  .OR.  data_output(i)(ilen-2:ilen) /= '_xy' )  THEN
-             message_string = 'illegal value for data_output: "' //            &
-                              TRIM( var ) // '" & only 2d-horizontal ' //      &
+             message_string = 'illegal value for data_output: "' //                                &
+                              TRIM( var ) // '" & only 2d-horizontal ' //                          &
                               'cross sections are allowed for this value'
              CALL message( 'check_parameters', 'PA0111', 1, 2, 0, 6, 0 )
@@ -840,6 +819,6 @@
 !           ENDIF
           IF ( k == 0  .OR.  data_output(i)(ilen-2:ilen) /= '_xy' )  THEN
-             message_string = 'illegal value for data_output: "' //            &
-                              TRIM( var ) // '" & only 2d-horizontal ' //      &
+             message_string = 'illegal value for data_output: "' //                                &
+                              TRIM( var ) // '" & only 2d-horizontal ' //                          &
                               'cross sections are allowed for this value'
              CALL message( 'check_parameters', 'PA0111', 1, 2, 0, 6, 0 )
@@ -857,21 +836,20 @@
 
 !
-!--    Further checks if thermal comfort output is desired.
+!-- Further checks if thermal comfort output is desired.
     IF ( thermal_comfort  .AND.  unit == 'degree_C' )  THEN
 !
-!--    Break if required modules "radiation" is not avalable.
+!--    Break if required modules "radiation" is not available.
        IF ( .NOT.  radiation )  THEN
-          message_string = 'output of "' // TRIM( var ) // '" require'         &
-                           // 's radiation = .TRUE.'
+          message_string = 'output of "' // TRIM( var ) // '" require' // 's radiation = .TRUE.'
           CALL message( 'check_parameters', 'PA0509', 1, 2, 0, 6, 0 )
           unit = 'illegal'
        ENDIF
 !
-!--    All "thermal_comfort" outputs except from 'bio_mrt' will also need 
-!--    humidity input. Check also for that.
+!--    All "thermal_comfort" outputs except from 'bio_mrt' will also need  humidity input. Check
+!--    also for that.
        IF ( TRIM( var ) /= 'bio_mrt' )  THEN
           IF ( .NOT.  humidity )  THEN
-             message_string = 'The estimation of thermal comfort '    //       &
-                              'requires air humidity information, but ' //     &
+             message_string = 'The estimation of thermal comfort '    //                           &
+                              'requires air humidity information, but ' //                         &
                               'humidity module is disabled!'
              CALL message( 'check_parameters', 'PA0561', 1, 2, 0, 6, 0 )
@@ -885,10 +863,10 @@
  END SUBROUTINE bio_check_data_output
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Check parameters routine for biom module
 !> Currently unused but might come in handy for future checks?
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_check_parameters
 
@@ -897,16 +875,14 @@
 
 
-
  END SUBROUTINE bio_check_parameters
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine defining 2D output variables
 !> data_output_2d 1188ff
-!------------------------------------------------------------------------------!
- SUBROUTINE bio_data_output_2d( av, variable, found, grid, local_pf,           &
-                                two_d, nzb_do, nzt_do )
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE bio_data_output_2d( av, variable, found, grid, local_pf, two_d, nzb_do, nzt_do)
 
 
@@ -924,4 +900,5 @@
 !-- Output variables
     CHARACTER (LEN=*), INTENT(OUT) ::  grid   !< Grid type (always "zu1" for biom)
+
     LOGICAL, INTENT(OUT)           ::  found  !< Output found?
     LOGICAL, INTENT(OUT)           ::  two_d  !< Flag parameter that indicates 2D variables,
@@ -950,16 +927,14 @@
               j = mrtbl(iy,l)
               k = mrtbl(iz,l)
-              IF ( k < nzb_do  .OR.  k > nzt_do  .OR.  j < nys  .OR.           &
+              IF ( k < nzb_do  .OR.  k > nzt_do  .OR.  j < nys  .OR.                               &
                  j > nyn  .OR.  i < nxl  .OR.  i > nxr )  CYCLE
               IF ( av == 0 )  THEN
                  IF ( mrt_include_sw )  THEN
-                    local_pf(i,j,k) = ( ( human_absorb * mrtinsw(l) +          &
-                                    mrtinlw(l) ) /                             &
-                                    ( human_emiss * sigma_sb ) )**.25_wp -     &
-                                    degc_to_k
+                    local_pf(i,j,k) = ( ( human_absorb * mrtinsw(l) +                              &
+                                      mrtinlw(l) ) /                                               &
+                                      ( human_emiss * sigma_sb ) )**0.25_wp - degc_to_k
                  ELSE
-                    local_pf(i,j,k) = ( mrtinlw(l)  /                          &
-                                    ( human_emiss * sigma_sb ) )**.25_wp -     &
-                                    degc_to_k
+                    local_pf(i,j,k) = ( mrtinlw(l) /                                               &
+                                      ( human_emiss * sigma_sb ) )**0.25_wp - degc_to_k
                  ENDIF
               ELSE
@@ -1040,6 +1015,7 @@
 
 !
-!--    Before data is transfered to local_pf, transfer is it 2D dummy variable and exchange ghost points therein. 
-!--    However, at this point this is only required for instantaneous arrays, time-averaged quantities are already exchanged. 
+!--    Before data is transfered to local_pf, transfer is in 2D dummy variable and exchange ghost
+!--    points therein. However, at this point this is only required for instantaneous arrays,
+!--    time-averaged quantities are already exchanged.
        CASE ( 'uvem_vitd3*_xy' )        ! 2d-array
           IF ( av == 0 )  THEN
@@ -1077,10 +1053,10 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Subroutine defining 3D output variables (dummy, always 2d!)
 !> data_output_3d 709ff
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
 
@@ -1094,4 +1070,5 @@
 !-- Input variables
     CHARACTER (LEN=*), INTENT(IN) ::  variable   !< Char identifier to select var for output
+
     INTEGER(iwp), INTENT(IN) ::  av       !< Use averaged data? 0 = no, 1 = yes?
     INTEGER(iwp), INTENT(IN) ::  nzb_do   !< Unused. 2D. nz bottom to nz top
@@ -1100,4 +1077,5 @@
 !-- Output variables
     LOGICAL, INTENT(OUT) ::  found   !< Output found?
+
     REAL(sp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf   !< Temp. result grid to return
 !
@@ -1108,5 +1086,5 @@
     INTEGER(iwp) ::  k    !< Running index, z-dir
 
-!     REAL(wp) ::  mrt  !< Buffer for mean radiant temperature
+!    REAL(wp) ::  mrt  !< Buffer for mean radiant temperature
 
     found = .TRUE.
@@ -1120,16 +1098,16 @@
                j = mrtbl(iy,l)
                k = mrtbl(iz,l)
-               IF ( k < nzb_do  .OR.  k > nzt_do  .OR.  j < nys  .OR.          &
+               IF ( k < nzb_do  .OR.  k > nzt_do  .OR.  j < nys  .OR.                              &
                   j > nyn  .OR.  i < nxl  .OR.  i > nxr )  CYCLE
                IF ( av == 0 )  THEN
                   IF ( mrt_include_sw )  THEN
-                     local_pf(i,j,k) = REAL( ( ( human_absorb * mrtinsw(l) +   &
-                                    mrtinlw(l) ) /                             &
-                                    ( human_emiss * sigma_sb ) )**.25_wp -     &
-                                    degc_to_k, KIND = sp )
+                     local_pf(i,j,k) = REAL( ( ( human_absorb * mrtinsw(l) +                       &
+                                       mrtinlw(l) ) /                                              &
+                                       ( human_emiss * sigma_sb ) )**0.25_wp - degc_to_k,          &
+                                         KIND = sp )
                   ELSE
-                     local_pf(i,j,k) = REAL( ( mrtinlw(l) /                    &
-                                    ( human_emiss * sigma_sb ) )**.25_wp -     &
-                                    degc_to_k, KIND = sp )
+                     local_pf(i,j,k) = REAL( ( mrtinlw(l) /                                        &
+                                       ( human_emiss * sigma_sb ) )**0.25_wp - degc_to_k,          &
+                                         KIND = sp )
                   ENDIF
                ELSE
@@ -1145,5 +1123,5 @@
  END SUBROUTINE bio_data_output_3d
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
@@ -1151,5 +1129,5 @@
 !> It is called out from subroutine netcdf_interface_mod.
 !> netcdf_interface_mod 918ff
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_define_netcdf_grid( var, found, grid_x, grid_y, grid_z )
 
@@ -1167,8 +1145,7 @@
 !
 !-- Local variables
+    INTEGER(iwp) :: l     !< Length of the var array
+
     LOGICAL      :: is2d  !< Var is 2d?
-
-    INTEGER(iwp) :: l     !< Length of the var array
-
 
     found  = .FALSE.
@@ -1196,10 +1173,10 @@
  END SUBROUTINE bio_define_netcdf_grid
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Header output for biom module
 !> header 982
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_header( io )
 
@@ -1219,5 +1196,5 @@
     WRITE( io, 3 )  TRIM( ACHAR( bio_cell_level ) )
 
-1   FORMAT (//' Human thermal comfort module information:'/                    &
+1   FORMAT (//' Human thermal comfort module information:'/                                        &
               ' ------------------------------'/)
 2   FORMAT ('    --> All indices calculated for a height of (m): ', A )
@@ -1227,13 +1204,13 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Initialization of the HTCM
 !> init_3d_model 1987ff
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_init
 
-    USE netcdf_data_input_mod,                                                 &
+    USE netcdf_data_input_mod,                                                                     &
         ONLY:  netcdf_data_input_uvem
 
@@ -1245,6 +1222,6 @@
     IF ( debug_output )  CALL debug_message( 'bio_init', 'start' )
 !
-!-- Determine cell level corresponding to 1.1 m above ground level
-!   (gravimetric center of sample human)
+!-- Determine cell level corresponding to 1.1 m above ground level (gravimetric center of sample
+!-- human)
 
     bio_cell_level = 0_iwp
@@ -1268,17 +1245,17 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Checks done after the Initialization
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_init_checks
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY: message_string
 
     IF ( (.NOT. radiation_interactions) .AND. ( thermal_comfort ) )  THEN
-       message_string = 'The mrt calculation requires ' //                     &
-                        'enabled radiation_interactions but it ' //            &
+       message_string = 'The mrt calculation requires ' //                                         &
+                        'enabled radiation_interactions but it ' //                                &
                         'is disabled!'
        CALL message( 'bio_init_checks', 'PAHU03', 1, 2, 0, 6, 0 )
@@ -1289,9 +1266,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Parin for &biometeorology_parameters for reading biomet parameters
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_parin
 
@@ -1300,12 +1277,12 @@
 !
 !-- Internal variables
-    CHARACTER (LEN=80) ::  line  !< Dummy string for current line in parameter file 
-
-    NAMELIST /biometeorology_parameters/  thermal_comfort,                     &
-                                          clothing,                            &
-                                          consider_obstructions,               &
-                                          orientation_angle,                   &
-                                          sun_in_south,                        &
-                                          turn_to_sun,                         &
+    CHARACTER (LEN=80) ::  line  !< Dummy string for current line in parameter file
+
+    NAMELIST /biometeorology_parameters/  clothing,                                                &
+                                          consider_obstructions,                                   &
+                                          orientation_angle,                                       &
+                                          sun_in_south,                                            &
+                                          thermal_comfort,                                         &
+                                          turn_to_sun,                                             &
                                           uv_exposure
 
@@ -1342,12 +1319,12 @@
  END SUBROUTINE bio_parin
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific global restart data (Fortran binary format).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_rrd_global_ftn( found )
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  length, restart_string
 
@@ -1363,5 +1340,5 @@
 
 !
-!--    read control flags to determine if input grids need to be averaged
+!--    Read control flags to determine if input grids need to be averaged.
        CASE ( 'do_average_theta' )
           READ ( 13 )  do_average_theta
@@ -1383,5 +1360,5 @@
 
 !
-!--    read control flags to determine which thermal index needs to trigger averaging
+!--    Read control flags to determine which thermal index needs to trigger averaging.
        CASE ( 'average_trigger_perct' )
           READ ( 13 )  average_trigger_perct
@@ -1407,9 +1384,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific global restart data (MPI-IO).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_rrd_global_mpi
 
@@ -1433,13 +1410,13 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Read module-specific local restart data arrays (Fortran binary format).
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_rrd_local_ftn( found )
 
 
-    USE control_parameters,                                                    &
+    USE control_parameters,                                                                        &
         ONLY:  length, restart_string
 
@@ -1448,5 +1425,5 @@
 
 
-    LOGICAL, INTENT(OUT) ::  found      !< variable found? yes = .T., no = .F.
+    LOGICAL, INTENT(OUT) ::  found      !< variable found? yes = .TRUE., no = .FALSE.
 
     found = .TRUE.
@@ -1487,9 +1464,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Write global restart data for the biometeorology module.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_wrd_global
 
@@ -1519,5 +1496,5 @@
        WRITE ( 14 )  average_trigger_mrt
 
-    ELSEIF ( restart_data_format_output(1:3) == 'mpi' )  THEN
+    ELSEIF ( TRIM( restart_data_format_output(1:3) ) == 'mpi' )  THEN
 
        CALL wrd_mpi_io( 'do_average_theta', do_average_theta )
@@ -1531,4 +1508,5 @@
        CALL wrd_mpi_io( 'average_trigger_pet', average_trigger_pet )
        CALL wrd_mpi_io( 'average_trigger_mrt', average_trigger_mrt )
+
     ENDIF
 
@@ -1536,9 +1514,9 @@
 
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Write local restart data for the biometeorology module.
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_wrd_local
 
@@ -1558,5 +1536,5 @@
        ENDIF
 
-    ELSEIF ( restart_data_format_output(1:3) == 'mpi' )  THEN
+    ELSEIF ( TRIM( restart_data_format_output(1:3) ) == 'mpi' )  THEN
 
 !
@@ -1573,9 +1551,9 @@
  END SUBROUTINE bio_wrd_local
 
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Calculate biometeorology MRT for all 2D grid
-!------------------------------------------------------------------------------!
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE bio_calculate_mrt_grid ( av )
 
@@ -1605,7 +1583,7 @@
        IF ( ALLOCATED( mrt_av_grid ) )  THEN
 !
-!-- Iterate over the radiation grid (radiation coordinates) and fill the 
-!-- tmrt_av_grid (x, y coordinates) where appropriate:
-!-- tmrt_av_grid is written for all i / j if level (k) matches output height.
+!--       Iterate over the radiation grid (radiation coordinates) and fill the tmrt_av_grid
+!--       (x, y coordinates) where appropriate: tmrt_av_grid is written for all i / j if level (k)
+!--       matches output height.
           DO  l = 1, nmrtbl
              i = mrtbl(ix,l)
@@ -1614,5 +1592,5 @@
              IF ( k - topo_top_ind(j,i,0) == bio_cell_level + 1_iwp)  THEN
 !
-!-- Averaging was done before, so we can just copy the result here
+!--             Averaging was done before, so we can just copy the result here.
                 tmrt_av_grid(j,i) = mrt_av_grid(l)
 
@@ -1625,7 +1603,7 @@
     ELSE
 !
-!-- Calculate biometeorology MRT from local radiation fluxes calculated by RTM and assign
-!-- into 2D grid. Depending on selected output quantities, tmrt_grid might not have been
-!-- allocated in bio_check_data_output yet.
+!--    Calculate biometeorology MRT from local radiation fluxes calculated by RTM and assign into 2D
+!--    grid. Depending on selected output quantities, tmrt_grid might not have been allocated in
+!--    bio_check_data_output yet.
        IF ( .NOT. ALLOCATED( tmrt_grid ) )  THEN
           ALLOCATE( tmrt_grid (nys:nyn,nxl:nxr) )
@@ -1639,12 +1617,12 @@
           IF ( k - topo_top_ind(j,i,0) == bio_cell_level + 1_iwp)  THEN
              IF ( mrt_include_sw )  THEN
-                 tmrt_grid(j,i) = ( ( human_absorb * mrtinsw(l) +              &
-                                  mrtinlw(l) )  /                              &
-                                  ( human_emiss * sigma_sb ) )**.25_wp -       &
-                                  degc_to_k
+                tmrt_grid(j,i) = ( ( human_absorb * mrtinsw(l) +                                   &
+                                 mrtinlw(l) )  /                                                   &
+                                 ( human_emiss * sigma_sb ) )**0.25_wp -                           &
+                                 degc_to_k
              ELSE
-                 tmrt_grid(j,i) = ( mrtinlw(l)  /                              &
-                                  ( human_emiss * sigma_sb ) )**.25_wp -       &
-                                  degc_to_k
+                tmrt_grid(j,i) = ( mrtinlw(l)  /                                                   &
+                                 ( human_emiss * sigma_sb ) )**0.25_wp -                           &
+                                 degc_to_k
              ENDIF
           ENDIF
@@ -1652,14 +1630,13 @@
     ENDIF
 
-END SUBROUTINE bio_calculate_mrt_grid
-
-
-!------------------------------------------------------------------------------!
+ END SUBROUTINE bio_calculate_mrt_grid
+
+
+!--------------------------------------------------------------------------------------------------!
 ! Description:
 ! ------------
 !> Calculate static thermal indices for 2D grid point i, j
-!------------------------------------------------------------------------------!
- SUBROUTINE bio_get_thermal_index_input_ij( average_input, i, j, ta, vp, ws,   &
-                                            pair, tmrt )
+!--------------------------------------------------------------------------------------------------!
+ SUBROUTINE bio_get_thermal_index_input_ij( average_input, i, j, ta, vp, ws, pair, tmrt )
 
     IMPLICIT NONE
@@ -1671,9 +1648,9 @@
 !
 !-- Output parameters
+    REAL(wp), INTENT ( OUT )    ::  pair  !< Air pressure                    (hPa)
+    REAL(wp), INTENT ( OUT )    ::  ta    !< Air temperature                 (degree_C)
     REAL(wp), INTENT ( OUT )    ::  tmrt  !< Mean radiant temperature        (degree_C)
-    REAL(wp), INTENT ( OUT )    ::  ta    !< Air temperature                 (degree_C)
     REAL(wp), INTENT ( OUT )    ::  vp    !< Vapour pressure                 (hPa)
     REAL(wp), INTENT ( OUT )    ::  ws    !< Wind speed    (local level)     (m/s)
-    REAL(wp), INTENT ( OUT )    ::  pair  !< Air pressure                    (hPa)
 !
 !-- Internal variables
@@ -1684,6 +1661,5 @@
 
 !
-!-- Determine cell level closest to 1.1m above ground
-!   by making use of truncation due to int cast
+!-- Determine cell level closest to 1.1m above ground by making use of truncation due to int cast.
     k = INT( topo_top_ind(j,i,0) + bio_cell_level )  !< Vertical cell center closest to 1.1m
 
@@ -1701,5 +1677,5 @@
        ta = bio_fill_value
        IF ( ALLOCATED( pt_av ) )  THEN
-          ta = pt_av(k,j,i) - ( 0.0098_wp * dz(1) * ( k + .5_wp ) ) - degc_to_k
+          ta = pt_av(k,j,i) - ( 0.0098_wp * dz(1) * ( k + 0.5_wp ) ) - degc_to_k
        ENDIF
 
@@ -1710,14 +1686,14 @@
 
        ws = bio_fill_value
-       IF ( ALLOCATED( u_av )  .AND.  ALLOCATED( v_av )  .AND.                 &
+       IF ( ALLOCATED( u_av )  .AND.  ALLOCATED( v_av )  .AND.                                     &
           ALLOCATED( w_av ) )  THEN
-             ws = ( 0.5_wp * ABS( u_av(k_wind,j,i) + u_av(k_wind,j,i+1) )  +   &
-             0.5_wp * ABS( v_av(k_wind,j,i) + v_av(k_wind,j+1,i) )  +          &
-             0.5_wp * ABS( w_av(k_wind,j,i) + w_av(k_wind+1,j,i) ) )
+             ws = ( 0.5_wp * ABS( u_av(k_wind,j,i) + u_av(k_wind,j,i+1) ) +                        &
+                    0.5_wp * ABS( v_av(k_wind,j,i) + v_av(k_wind,j+1,i) ) +                        &
+                    0.5_wp * ABS( w_av(k_wind,j,i) + w_av(k_wind+1,j,i) ) )
        ENDIF
     ELSE
 !
-!-- Calculate ta from Tp assuming dry adiabatic laps rate
-       ta = pt(k,j,i) - ( 0.0098_wp * dz(1) * (  k + .5_wp ) ) - degc_to_k
+!--    Calculate ta from Tp assuming dry adiabatic laps rate
+       ta = pt(k,j,i) - ( 0.0098_wp * dz(1) * (  k + 0.5_wp ) ) - degc_to_k
 
        vp = bio_fill_value
